Member Function
CommandLineOption
Constructor
CommandLineOption ()
CommandLineOption (shortName, longName[, argumentsPerOption], helpText, optionType[, defaultValue])
Parameters

shortName | A CharString containing the short-name option identifier (e.g. "h" for the -h/--help option). Although not suggested the short-name can contain more than 1 character. Remarks: Note that the leading "-" is not passed.
longName | A CharString containing the long-name option identifier (e.g. "help" for the -h/--help option). Types: CharString Remarks: Note that the leading "--" is not passed.
argumentsPerOption | The number of required arguments per option (e.g. if set to 3 then 3 arguments must follow the option: "-foo x1 x2 x3"). Default: 0 for boolean options and 1 for the rest.
helpText | A CharString containing the help text associated with this option. Types: CharString

optionType

Option type. This can be the sum of the some of the following values:

Flag | Value | Description
OptionType::Bool or OptionType::Boolean | 1 | Option needs no argument, value is true iff given on command line
OptionType::String | 2 | Argument is a string
OptionType::Int or OptionType::Integer | 4 | An integer
OptionType::Double | 8 | A float
OptionType::Mandatory | 16 | Option must be set
OptionType::Label | 32 | Automatically print a label for the argument(s) on the help screen
OptionType::List | 64 | Option is a list of values
OptionType::Hidden | 128 | Hide this option from the help screen

defaultValue | The default value of this option. Default: No default value.

Member of
CommandLineOption
See Also
isDoubleOption, isLabelOption, setOptionType, isHiddenOption, isOptionMandatory, isStringOption, isBooleanOption, isIntOption, isOptionList
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49